Subject: [pafree] WANTED: Press - ammo, book, mechanics press

From: Aryana Farsai Roxborough <[email-masked]>
Date: Mon, 7 Mar 2005 12:36:19 -0800

Hello I am looking for a smaller, yet sturdy press for some ceramics work. I can convert any old press, or even ammo reloader to suit my needs. I can pick up. If it needs two people to move, that's too big for me, just looking for a tabletop model.

thanks freecycle (fingers crossed:)
Aryana

------------------------ Yahoo! Groups Sponsor --------------------~--> 
DonorsChoose. A simple way to provide underprivileged children resources 
often lacking in public schools. Fund a student project in NYC/NC today!
http://us.click.yahoo.com/5F6XtA/.WnJAA/E2hLAA/rcTolB/TM
--------------------------------------------------------------------~-> 

Yahoo! Groups Links

<*> To visit your group on the web, go to:
    http://groups.yahoo.com/group/pafree/

<*> To unsubscribe from this group, send an email to:
    [email-masked]

<*> Your use of Yahoo! Groups is subject to:
    http://docs.yahoo.com/info/terms/